#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

PROJECT="dropshell-build-base"

# Create buildx builder if it doesn't exist
if ! docker buildx ls | grep -q "${PROJECT}-multiarch"; then
    docker buildx create --name ${PROJECT}-multiarch --use \
        --driver-opt env.BUILDKIT_MAX_PARALLELISM=4
else
    docker buildx use ${PROJECT}-multiarch
fi

# Build multi-platform image and push it
docker buildx build \
  --platform linux/amd64,linux/arm64 \
  --push \
  -t "gitea.jde.nz/public/dropshell-build-base:test" \
  -f "${SCRIPT_DIR}/Dockerfile.dropshell-build-base" \
  ${SCRIPT_DIR}
